Web Album Generator

Version 1.6.5

Welcome

Welcome to Web Album Generator! I'm sure you're anxious to get started creating your web photo albums, so why not take the Web Album Tutorial? If you're looking for help on a specific topic, feel free to browse the Table of Contents to the left.

Popular Topics

  • Uploading your Album
  • Checking for Updates
  • Contacting the Author

Information

Thanks for trying Web Album Generator. If you have any questions, comments or suggestions, feel free to contact me.

Copyright 2002-2005 by Mark McIntyre


What's New?

Version 1.6.5 - May 1, 2005

  • Added a new welcome screen to help users get started
  • User can now select and re-order many photos at the same time
  • User can now change the name of the output folder, if desired
  • Settings are now properly stored for users with limited access privileges
  • Added more friendly error messages and explanations if a photo is missing or corrupted
  • Improved the default album stylesheet and layout for cleaner photo pages
  • Fixed a 'Stack Overflow' problem that some users experienced in rare cases
  • Fixed a problem where captions weren't being deleted properly.
  • Fixed a problem where selecting "no to all" when asked to overwrite existing photos would stop the photo preparation process altogether

Version 1.6.0 - September 11, 2004

  • User can now specify a "Home" URL on the index pages
  • Stylesheets can now be loaded and saved from the stylesheet dialog
  • Improved the default album layout and stylesheet for better flexibility
  • User now has the option to remove all default photo titles
  • Generated album output is now contained in fewer folders
  • Photos with the same filename can now be added your album without conflict
  • User can now re-generate the HTML files separately from the photographs
  • Generated albums are now automatically saved for you

Version 1.5.0 - August 09, 2003

  • Improved the quality of thumbnails
  • Added support for all latin characters in descriptions and titles
  • Images are now resampled using linear interpolation instead of nearest neighbour
  • Added an option to turn off linear interpolation ("Quick Resize")
  • Index pages now link to the appropriate index page instead of always the first

Version 1.0.1 - May 18, 2002

  • Updated the about screen and help menu with donation information

Version 1.0 - April 29th, 2002

  • Initial product release


Features

Web Album Generator is the ideal way to publish your digital photographs to the World Wide Web. With a highly intuitive, easy-to-use interface, you'll be creating your own web albums in no time!

All the albums created with Web Album Generator comply with the World Wide Web Consortium's XHTML 1.0 Strict and CSS 2 standards. This means your albums will be accessible to anyone, anywhere!

List of Features

  • Thumbnail Creation and Customization
  • Photograph Resizing
  • User-Friendly Interface
  • Drag and Drop Image Support
  • Photo Titles and Captions
  • Multiple Index Pages
  • Save and Load Colour Schemes
  • Complies with XHTML 1.0 Strict and CSS 2 Standards
  • Small files for fast file transfer
  • Multiple Album Navigation Options
  • Easy to use Album Generation Wizard
  • Save your albums for later
  • Much More!


Checking for Updates

Want to know if your version of Web Album Generator is up-to-date? Check for updates online.

You may also join the Web Album Generator Announcement List to receive email updates when new versions are released.


Legal Information

This program is provided "As is", with no guarantees of usefulness or productivity. The author, Mark McIntyre, bears no responsibility for damage to your system resulting from the use of this program.

You may not: disassemble, reverse engineer, recompile, decompile or otherwise attempt to discover the source code of the Program; remove, obscure or alter any notice of copyright or other proprietary right present on or in the Program; or permit or authorize anyone else to take any action described in this sentence.

You may not remove, obscure, or hide the "Created with Web Album Generator" message or redirect the link to ornj.net.

If you do not agree with these terms, you must uninstall the program. Use of the program implicitly means you have agreed to these terms.

Web Album Generator is Copyright 2002-2005 by Mark McIntyre


Contacting the Author

Have anything to say? Questions, comments, and suggestions are welcome!

Author Name:    Mark McIntyre
Author Email:   mark@ornj.net
Author Webpage: http://www.ornj.net/


Acknowledgements

Portions of this product were sponsored by third-party software. These software tools were invaluable in creating the Toolbar. The dockable Toolbar was made possible by:

  • Toolbar 2000 by Jordan Russell (http://www.jrsoftware.org/)
  • TBX by Alex Denisov (http://www.g32.org/tbx/)

Extra image filtering was made possible through the Graphics32 Image Library.

The icons used in the Toolbar were created by Scrow's Icons (http://www.virtualplastic.org/scrow/)


Getting Started

Welcome to the Web Album Generator 'Getting Started' tutorial. Here we will guide you through the process of creating your very first web album. It's a fun and simple procedure, so let's get started!

  1. Adding your Photographs
  2. Editing your Titles and Captions
  3. Generating the Album
  4. Viewing your Album
  5. Uploading your Album

Once you've finished the tutorial, why not learn more about Web Album Generator's advanced features by exploring the Using Web Album Generator section?

Copyright 2002-2004 by Mark McIntyre


Adding your Photographs

Step 1: Adding your Photographs

Familiarizing Yourself with Web Album Generator

When you launch Web Album Generator, you will see a screen similar to the one below. This is your workspace. It's designed to be as accessible as possible in allowing you to customize your photographs.

Adding Photographs

The first thing you'll probably want to do is start adding photographs to your album! There are several ways to do this.

  • Use the Menu or Toolbar
  • Click the Add Photo link on the Welcome Screen
  • Drag and Drop Images from Windows

Adding a photograph via the Menu Bar is easy. Simply click on 'Photos', and select the option 'Add Photo'. A standard 'Open' dialogue will appear from which you can select your photograph.

Helpful Tip:
You can open as many photos you would like at one time. Simply hold down the CTRL key as you select each photo in the Open dialog, or you can drag an 'rubber band' around multiple files before clicking the 'Open' button
Adding a Photo

Dragging and dropping images from Windows is the most intuitive way to add photos to your album. Simply select the files you want to add from the Desktop, your disk, or digital camera, and drag them onto the 'My Photographs' list. Your photographs will instantly appear!

Re-ordering Photographs

Normally, photographs are presented in the order they were added. However, you can re-order them any way you like either by using the 'Move up' and 'Move Down' commands in the menu.

  • Next Step: Editing Photo Titles and Captions


Editing Photo Titles and Captions

Step 1: Editing Photo Titles and Captions

Now that you've added your photographs to the album, you may want to add photograph titles and captions to each of the pictures. This step is entirely optional, and not every photo needs a title or caption. Your viewers will certainly like it if you comment on a few of your photos, though.

By default, Web Album Generator includes the filename of your photograph as the photo title. If you do not like this, you can delete or replace the title. To delete all the titles, click on Photos and choose the "Clear Photo Titles" option.

To add a title and caption to a photograph, simply select a photo from the 'My Photographs' list. The image will be displayed along with a simple form for entering your title and caption. A title should be short, like a newspaper headline, while the caption can be as descriptive as you like.

Helpful Tip:
If you know HTML (Hypertext Markup Language), you can use HTML tags in your captions. For example, if you want a word to appear in italics, simply wrap the words you would like italicised in <i></i> tags.
  • Next Step: Generating the Album


Generating the Album

Step 3: Generating the Album

Starting the Album Generation Wizard

Once you've prepared your photos as you would like them, you are ready to start the album generation process! Simply click 'Generate Album' from the File menu, or click the 'gear' icon in the toolbar. The Album Generation Wizard will appear.

The Album Generation Wizard will guide you through the four main steps in creating your web album. Each of these steps lets you assert creative control over how your album is to be generated. Each of the steps is purely optional, and you can click the 'Finish' button at any time, although it's recommended you work through them in order. Here, we will proceed through the steps in order.

Choosing your Page Title and Colour Scheme

Album Generation Wizard

The first screen of the Album Generation Wizard allows you to set the title and colour scheme of your web album. Your title should be descriptive, but short. It will appear on the head of each index page.

After typing your title, you can select whichever colours you would like each page to use. Your selections will be previewed in the page diagram to the left. It's best to choose colours that are pleasing, but have good contrast. When you are done selecting your colours, click the 'Next' button.

Helpful Tip:
You can save and retrieve your own colour schemes. Simply type a descriptive title for your scheme into the box, and click the 'Save' button. If you would like to load this colour scheme later, select your scheme from the drop down list. If you would like to delete a scheme, click the 'Delete' button.

Designing your Index Page

The next step in the Wizard process is to design your index page. The index page will be a screen full of reduced-sized (or 'thumbnail') versions of your photographs. After your album is generated, you will be able to click on these small versions to get the large version of your photograph.

To make navigation of your index page as easy as possible, it is recommended that you keep your thumbnail sizes small (100 x 75 pixels is recommended), and keep the number of thumbnails on each index page reasonable.

Since not all photographs have the same height to width ratio, you may want to ensure that your photographs are not streched when they are converted to thumbnail form. If you would like to prevent a streching effect, make sure the 'Keep Photograph's Aspect Ratio' box is checked.

Click 'Next' when you are ready to continue.

Photograph Page Options

Photograph Page Options

Each photograph will be displayed on its own page. This page will contain the large version of your photo, along with your title and description if you provided one.

You can customize how you would like this page to be displayed. Simply check the navigation methods that you would like to use, and choose whether you would like them displayed above or below your photograph.

You can also choose to reduce your photograph size. Often, digital cameras take photographs at a very high resolution, suitible for high-quality glossy prints. On the web, however, we would like the photographs small enough to fit inside most user's monitor. For this, we recommend setting the photo size to 640 x 480, with the aspect ratio preserved.

Selecting your Output Directory

Selecting an Output Directory

Once you've customized your album, you should select where you want the web pages to be generated. The default location is the Desktop, where you can relocate it later if you wish. Although you may want to select a good location for it right away.

Helpful Tip:
You can create a non-existant directory by typing the full pathname in text box provided. Your new directory will be confirmed when you are ready to generate.

Generating Your Album

When you are ready to generate your album, click the Finish button! The progress will be displayed on the next screen. It may take a while, depending on the number of photographs, so please be patient. You may cancel the process at any time by selecting the Cancel button

  • Next Step: Viewing your Album


Viewing Your Album

Step 4: Viewing Your Album

Congratulations! Your web album has just been created! Click the 'View Album' button to view the album in your web browser, or click the 'Close Window' button to close the Web Album Generation Wizard.

Helpful Tip:
After you've generated your album, your album is saved automatically so you can make future modifications. Simply re-open the ".alb" file in your album's folder to make the changes again.

That's it! Enjoy sharing your photos over the Internet!

If you're unsure how to upload your album to the web, please read the uploading instructions


Web Album Generator

Uploading your Album

The process for uploading an album to the web is fairly straightforward for most people; however this process can be very different depending on the web service you use. If you have any questions related to the specifics of your web host, please feel free to post a message in the Web Album Generator Support Forums (available at http://www.ornj.net/forums/).

Most web hosts allow you to upload files to the web via File Transfer Protocol (FTP). Windows allows you to connect to FTP sites without the need for special software. Simply click on "My Network Places," add a new "Network Place" and use the address of your FTP service (it should be something like ftp://ftp.example.com/). If you don't know the address of your FTP service, please contact your web host provider; they should be happy to help.

Once you are connected, you can drag and drop the folder created by Web Album Generator directly into your web folder. Your album should then be immediately available on the web! (The folder created by Web Album Generator should have the same name as your album title)


The Menu Bar

File

  • New Album
  • Open Album
  • Save Album
  • Save Album As
  • Generate Album
  • Exit

Photos

  • Add Photo
  • Remove Photo
  • Move Photo Up
  • Move Photo Down
  • Next Photo
  • Previous Photo
  • Clear Photo Titles

View

  • Toolbar
  • Tip of the Day
  • Stylesheet Template

Help

  • Help Contents
  • About

New Album

Creates a new, empty album. If the old album has not been saved, you will be prompted to do so.

Open Album

Opens an existing album project. Note that this file is different from a generated album, which is a collection of photographs and HTML pages.

Save Album

Saves the current album. Note that this is different from generating an album, which creates a collection of photographs and HTML files.

Save Album As

Saves the current album under a name you specify. Note that this is different from generating an album, which creates a collection of photographs and HTML files.

Generate Album

Generates a collection of HTML files and JPEG images based on your album settings. These pages can be viewed in a web browser.

Exit

Exits Web Album Generator.

Add Photo

Adds one or more photographs (JPEG images) to your album.

Remove Photo

Removes the selected photograph from your album.

Move Photo Up

Moves the selected photograph up, effectively re-ordering the sequence of photographs.

Move Photo Down

Moves the selected photograph down, effectively re-ordering the sequence of photographs.

Next Photo

Selects the next photograph from the 'My Photographs' list.

Previous Photo

Selects the previous photograph from the 'My Photographs' list.

Clear Photo Titles

By default, Web Album Generator includes the JPG filename as the title of your photo. If you would like to remove all the titles for your photographs, click this option.

Toolbar

Toggles the visibility of the toolbar.

Tip of the Day

Toggles the visibility of the 'Tip of the Day' frame.

Stylesheet Template

Displays the Stylesheet Template which you can edit to your liking. Note that editing the stylesheet template is not recommended.

Help Contents

Displays the Web Album Generator Help File.

About

Displays information about Web Album Generator.


The Toolbar

  • New Album
  • Open Album
  • Save Album
  • Generate Album
  • Help Contents
  • About
  • Add Photo
  • Remove Photo
  • Move Photo Up
  • Move Photo Down

New Album

Creates a new, empty album. If the old album has not been saved, you will be prompted to do so.

Open Album

Opens an existing album project. Note that this file is different from a generated album, which is a collection of photographs and HTML pages.

Save Album

Saves the current album. Note that this is different from generating an album, which creates a collection of photographs and HTML files.

Generate Album

Generates a collection of HTML files and JPEG images based on your album settings. These pages can be viewed in a web browser.

Add Photo

Adds one or more photographs (JPEG images) to your album.

Remove Photo

Removes the selected photograph from your album.

Move Photo Up

Moves the selected photograph up, effectively re-ordering the sequence of photographs.

Move Photo Down

Moves the selected photograph down, effectively re-ordering the sequence of photographs.

Help Contents

Displays the Web Album Generator Help File.

About

Displays information about Web Album Generator.


Saving Albums

Saving your album is extremely important. Your album is saved for you automatically during the album generation process, however you can also save it manually without generating your album.

When you save your album, you record all of the original photograph locations, and your titles and captions to the hard drive. If you want to make a change to your album later, you will open this file for use with web album generator.


My Photographs List

My Photographs

My Photographs List

The 'My Photographs' list organises your collection of photographs for a particular album. You can add titles and re-order the photographs in this list.

To re-order the photographs, you may drag and drop the individual list entries, or use the 'Move up' and 'Move Down' buttons.

To edit the photograph's title, simply select it and type the relevant information into the area provided. See the tutorial for more information regarding this.


Opening Albums

To open an existing album, you must first locate its '.alb' file that you have previously saved. If you have generated your album, this file typically resides in the folder created during the album generation process. The album will be loaded and all your titles and captions will be ready for editing and re-generation, if necessary.

Important Note:
You cannot load a generated album in HTML format. You must load a .alb file instead.


Tip of the Day

The Tip of the Day frame displays helpful tips and information regarding Web Album Generator. You can hide the tips by clicking the 'Hide Tips' link at the bottom of the frame, of you can use the View menu.

To display a new tip, click the 'Next Tip' link. Eventually the tips will repeat themself. New tips are automatically displayed when you start Web Album Generator


Stylesheet Template

Web Album Generator uses stylesheets to control the appearance of the album pages. If you are an advanced user, you may change the stylesheets to your liking. If you make an undesired change, you can load the default stylesheets by clicking the 'Default' button. You can also open and save stylesheets with the 'Open' and 'Save to File' buttons respectively.

Important Note:
The Stylesheet was designed to be compatable with all browsers. It is not recommended that you edit the stylesheet.


Colour Schemes

Web Album Generator allows you to create and load colour schemes for your web album. To create a colour scheme, simply type a name for your scheme, select the colours you would like to use, and click the 'Save' button. You can load this scheme later by selecting it from the drop down list.

Schemes can be removed by clicking the 'Delete' button. You will be prompted to confirm the action. Once you delete a colour scheme, it cannot be retrieved.


Index Options

Web Album Generator will display a table of reduced-size photos ('thumbnails') as an easy way to quickly access a particular photo. This table is called the 'index', and can be customized from the Index Page Options section of the Album Generation Wizard.

You can set the number of rows and columns to display per index page. If you have more photos than can fit on a single index page, multiple index pages will be created with navigational links to switch between them.

A good default thumbnail size is provided, but you may change this if you wish. If a photograph's ratio does not match the ratio of the thumbnail, you may preserve the ratio of the photograph while fitting within the defined thumbnail size.

If you'd like to include a link back to your home page (if you have one), you may check the "Include link back to homepage" checkbox and type the appropriate URL into the text field.


Photo Pages

Web Album Generator will create a page for each photograph to display the title , caption and navigational controls. You can customize the look of these pages by specifying the options on the Photo Pages section of the Album Generation Wizard.

If you would like to display the main navigational controls, consisting of 'Next', 'Previous', and 'Index', make sure the 'Display Main Navigation Bar' is checked.

If you would like to display the secondary navigational controls, consisting of the thumbnails of the closest four photographs, make sure the 'Display Thumbnail Bar' is checked.

You can indicate the position of the navigational controls relative to the photograph by checking the appropriate radio buttons

You can also choose to reduce your photograph size. Often, digital cameras take photographs at a very high resolution, suitible for high-quality glossy prints. On the web, however, we would like the photographs small enough to fit inside most user's monitor. For this, we recommend setting the photo size to 640 x 480, with the aspect ratio preserved.


Output Directory

Photo Pages

Web Album Generator will generate your web pages in a directory of your choice. The default directory will be the desktop, although you can select any other directory you wish.

If you would like to indicate a directory that does not yet exist, simply type the full pathname you would like to use, and Web Album Generator will create it for you.


.topic 1000
Creates a new, empty album. If the old album has not been saved, you will be prompted to do so.

.topic 1001
Opens an existing album project. Note that this file is different from a generated album, which is a collection of photographs and HTML pages.

.topic 1002
Saves the current album. Note that this is different from generating an album, which creates a collection of photographs and HTML files.

.topic 1003
Saves the current album under a name you specify. Note that this is different from generating an album, which creates a collection of photographs and HTML files.

.topic 1004
Generates a collection of HTML files and JPEG images based on your album settings. These pages can be viewed in a web browser.

.topic 1005
Exits Web Album Generator.

.topic 1006
Adds one or more photographs (JPEG images) to your album.

.topic 1007
Removes the selected photograph from your album.

.topic 1008
Moves the selected photograph up, effectively re-ordering the sequence of photographs.

.topic 1009
Moves the selected photograph down, effectively re-ordering the sequence of photographs.

.topic 1010
Selects the next photograph from the 'My Photographs' list.

.topic 1011
Selects the previous photograph from the 'My Photographs' list.

.topic 1012
Toggles the visibility of the toolbar.

.topic 1013
Toggles the visibility of the 'Tip of the Day' frame.

.topic 1014
Displays the Web Album Generator Help File.

.topic 1015
Displays information about Web Album Generator.